﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Autodesk.Revit.DB;

namespace StairsAutomation
{
    public interface IStairsConfiguration
    {
        int GetNumberOfRuns();
        IList<Curve> GetRunStairsPath(int index);
        IList<Curve> GetRunRiserCurves(int index);
        IList<Curve> GetRunBoundaryCurves(int index);
        double GetRunElevation(int index);

        int GetNumberOfLandings();
        CurveLoop GetLandingBoundary(int index);
        double GetLandingBaseElevation(int index);
    }
}
