﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Autodesk.Revit.DB.IFC;

namespace BIM.IFC.Export.UI
{
    public class IFCFileFormatAttributes
    {
        public IFCFileFormat FileType { get; set; }

        public IFCFileFormatAttributes(IFCFileFormat fileType)
        {
            FileType = fileType;
        }

        public override String ToString()
        {
            switch (FileType)
            {
                case IFCFileFormat.Ifc:
                    return "IFC";
                case IFCFileFormat.IfcXML:
                    return "IFC XML";
                case IFCFileFormat.IfcZIP:
                    return "Zipped IFC";
                case IFCFileFormat.IfcXMLZIP:
                    return "Zipped IFC XML";
                default:
                    return "unrecognized file type option";
            }
        }

        public String GetFileExtension()
        {
            switch (FileType)
            {
                case IFCFileFormat.Ifc:
                    return "ifc";
                case IFCFileFormat.IfcXML:
                    return "ifcxml";
                case IFCFileFormat.IfcZIP:
                    return "ifczip";
                case IFCFileFormat.IfcXMLZIP:
                    return "ifczip";
                default:
                    return "unrecognized file type option";
            }
        }

        public String GetFileFilter()
        {
            switch (FileType)
            {
                case IFCFileFormat.Ifc:
                    return "Industry Foundation Classes(.ifc)|*.ifc";
                case IFCFileFormat.IfcXML:
                    return "Industry Foundation Classes XML(.ifcxml)|*.ifcxml";
                case IFCFileFormat.IfcZIP:
                    return "Zipped Industry Foundation Classes(.ifczip)|*.ifczip";
                case IFCFileFormat.IfcXMLZIP:
                    return "Zipped Industry Foundation Classes(.ifczip)|*.ifczip";
                default:
                    return "unrecognized file type option";
            }
        }
    }
}
