﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AddInIntegrationSample.OptionsDialog
{
    /// <summary>
    /// Interaction logic for Options.xaml
    /// </summary>
    public partial class Options : UserControl
    {
        public Options()
        {
            InitializeComponent();

            AddInIntegrationSample.ApplicationOptions options = ApplicationOptions.Get();

            CommandOverride.IsChecked = options.OverrideIFC;

            ButtonAccessibility.SelectedIndex = (int)options.Availability;
        }

        public void OnOK()
        {
            AddInIntegrationSample.ApplicationOptions options = ApplicationOptions.Get();

            options.OverrideIFC = GetCheckbuttonChecked(this.CommandOverride);
            options.Availability = (ApplicationAvailablity)ButtonAccessibility.SelectedIndex;
            options.UpdateOverride();
        }

        public void OnRestoreDefaults()
        {
            CommandOverride.IsChecked = true;
            ButtonAccessibility.SelectedIndex = 0;
        }

        private bool GetCheckbuttonChecked(CheckBox checkBox)
        {
            if (checkBox.IsChecked.HasValue)
                return checkBox.IsChecked.Value;
            return false;
        }

    }
}
